/*
 Theme Name:   Weart.hu
 Theme URI:    https://weart.hu
 Description:  Egyedi WordPress sablon a weart.hu által.
 Author:       Balazs Egyed
 Author URI:   https://weart.hu
 Template:     generatepress
 Version:      0.2
*/

#masthead{
	border-bottom: 2px solid #dee2e6
}
#masthead .menu a:after{
	content: "";
    position: absolute;
    display: block;
    left: 20px;
    top: calc(50% + .75em);
    margin: 0 auto;
    height: 1px;
    background-color: #1e2d47;
    width: 0%;
    transition: width .4s ease;
}

#masthead .menu li[class*="current-menu-"] > a:after,
#masthead .menu a:hover:after{
	width: calc(100% - 20px - 20px);
    color: currentColor;
}

/* HERO */

.weart-hero .gb-headline span{
	text-decoration-color: var(--primary) !important;
	text-underline-offset: 5px !important;
}

.weart-hero{
	position: relative;
}

.weart-hero .gb-block-image{
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	max-width: 768px;
	width: 100%;		
	opacity:.3;
}
.weart-hero .gb-block-image:before{
	content: "";
	display:block;
	position: absolute;
	background: linear-gradient(90deg, var(--dark),transparent);
	top: 0; left: 0; bottom: 0;
	width:30%;
	z-index: 2;
}
.weart-hero .gb-block-image:after{
	content: "";
	display:block;
	position: absolute;
	background: linear-gradient(270deg, var(--dark),transparent);
	top: 0; right: 0; bottom: 0;
	width:30%;
	z-index: 2;
}
.weart-hero .gp-block-image img{
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center right;
}

@media (min-width: 767px){
	.weart-arrow-right:before{
		content: "";
		display: block;
		height: 0.25rem;
		background: #94a8de;
		width: calc(100% - 60px );
		position: absolute;
		top: 35px;
		left: calc(50% + 50px);
	}
}

/* entry-header */
.loop-item a{
	text-decoration: none
}
.entry-header{
	text-align: center
}

@media (min-width: 767px){
	.alignwide,
	.wp-block-code{
		margin-left: -100px;
		margin-right: -100px;
		max-width: calc(100% + 200px);
		width: auto;
	}
}

/* gravity */
#gform_submit_button_2{
	font-size: 18px;
	padding: 15px 20px;
	margin-right: auto;
	margin-left: auto
}

/* cookie */
/* Container */
.cmplz-cookiebanner{
	padding: 10px !important
}

/* Logo */
.cmplz-cookiebanner .cmplz-logo{}
/* Title */
.cmplz-cookiebanner .cmplz-title{}
/* Close icon */
.cmplz-cookiebanner .cmplz-close{}

/* Message */
.cmplz-cookiebanner .cmplz-message p{
	margin: 0
}